# Create a SKU option

To [create](https://docs.commercelayer.io/core/creating-resources) a new SKU option, send a `POST` request to the `/api/sku_options` endpoint, passing the resource arguments in the request body.

## Request

**POST** <https://yourdomain.commercelayer.io/api/sku\\_options>

### Arguments

| Body Parameter                      | Type      | Required                             |
| ----------------------------------- | --------- | ------------------------------------ |
| **type**                            | `string`  | Required                             |
| attributes.**name**                 | `string`  | Required                             |
| attributes.**currency\_code**       | `string`  | Required, unless inherited by market |
| attributes.**description**          | `string`  | Optional                             |
| attributes.**price\_amount\_cents** | `integer` | Optional, default is '0'             |
| attributes.**delay\_hours**         | `integer` | Optional, default is '0'             |
| attributes.**sku\_code\_regex**     | `string`  | Optional                             |
| attributes.**reference**            | `string`  | Optional                             |
| attributes.**reference\_origin**    | `string`  | Optional                             |
| attributes.**metadata**             | `object`  | Optional                             |
| relationships.**market**            | `object`  | Optional                             |
| relationships.**tags**              | `array`   | Optional                             |

### Example

{% tabs %}
{% tab title="Request" %}
The following request creates a new SKU option:

```shell
curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/sku_options' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "sku_options",
    "attributes": {
      "name": "Embossing",
      "currency_code": "EUR"
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `201 Created` status code, returning the created resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "sku_options",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Embossing",
      "currency_code": "EUR",
      "description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
      "price_amount_cents": 1000,
      "price_amount_float": 10.0,
      "formatted_price_amount": "€10,00",
      "delay_hours": 48,
      "delay_days": 2,
      "sku_code_regex": "^(A|B).*$",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "market": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/relationships/market",
          "related": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/market"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/events"
        }
      },
      "tags": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/relationships/tags",
          "related": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/tags"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/sku_options/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/sku_options/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
